<script setup>
// TODO: Remove properties prop and replace it by Bloc ID only
import FileIcon from '@/component/FileIcon.vue'
import { formatBytes, dateToLapsedTime } from '@/helper/file-util'
import { useFileContextMenu } from '@/store/file-context-menu'

defineProps({
  properties: {
    type: Object
  }
})

const fileContextMenuStore = useFileContextMenu()
</script>

<template>
  <tr class="file-row" @contextmenu="fileContextMenuStore.show($event, properties)" :data-bloc-id="properties.id">
    <td>
      <div class="cell-content">
        <FileIcon :type="properties.is_directory ? 'directory' : properties.type" />
        <p>{{ properties.name }}</p>
      </div>
    </td>
    <td>{{ properties.size === undefined || properties.size === null ? '---' : formatBytes(properties.size) }}</td>
    <td>{{ properties.edited_on === undefined || properties.edited_on === null ? '---' : dateToLapsedTime(properties.edited_on) }}</td>
    <td>{{ properties.shareds ?? '---' }}</td>
  </tr>
</template>

<style lang="scss" scoped>
  .file-row {
    color: $complementary-white;
    height: 54px;
    &:hover {
      background-color: $complementary-white-5;
    }
    td {
      padding: 0 4px;
      .cell-content {
        display: flex;
        align-items: center;
        gap: 10px;
        width: 100%;
        height: 100%;
      }
    }
  }
</style>
